{
    attributes = (
        {
            allowsNull = Y; 
            definition = "toScolInscriptionEtudiant.adrNom||' '||toScolInscriptionEtudiant.adrPrenom"; 
            externalType = VARCHAR2; 
            name = etudLibelle; 
            valueClassName = NSString; 
            width = 205; 
        }, 
        {
            columnName = FANN_KEY; 
            externalType = NUMBER; 
            name = fannKey; 
            precision = 4; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            definition = "toScolInscriptionEtudiant.fgraCode||toScolInscriptionEtudiant.idiplAnneeSuivie||' - '||toScolInscriptionEtudiant.fdipAbreviation||DECODE(toScolInscriptionEtudiant.fspnLibelle,NULL,NULL,' - '||toScolInscriptionEtudiant.fspnLibelle)"; 
            externalType = VARCHAR2; 
            name = idiplLibelle; 
            valueClassName = NSString; 
            width = 400; 
        }, 
        {
            columnName = IDIPL_NUMERO; 
            externalType = NUMBER; 
            name = idiplNumero; 
            precision = 6; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = IMRAP_DISPENSE; 
            externalType = NUMBER; 
            name = imrapDispense; 
            precision = 2; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MEC_KEY; 
            externalType = NUMBER; 
            name = mecKey; 
            precision = 12; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = MRAP_SEMESTRE; 
            externalType = NUMBER; 
            name = mrapSemestre; 
            precision = 1; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (fannKey, idiplNumero, mecKey, mrapSemestre); 
    className = EOGenericRecord; 
    classProperties = (
        fannKey, 
        mecKey, 
        idiplNumero, 
        imrapDispense, 
        toScolInscriptionEtudiant, 
        etudLibelle, 
        mrapSemestre, 
        idiplLibelle, 
        toScolConstanteDispense, 
        toScolMaquetteEc, 
        toScolInscriptionSemestre
    ); 
    externalName = V_SCOL_INSCRITS_EC; 
    fetchSpecificationDictionary = {}; 
    name = VScolInscritsEcExamen; 
    primaryKeyAttributes = (idiplNumero, fannKey, mecKey, mrapSemestre); 
    relationships = (
        {
            destination = ScolConstanteDispense; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = cdisKey; sourceAttribute = imrapDispense; }); 
            name = toScolConstanteDispense; 
        }, 
        {
            destination = ScolInscriptionEtudiant; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }, 
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }
            ); 
            name = toScolInscriptionEtudiant; 
        }, 
        {
            destination = ScolInscriptionSemestre; 
            isToMany = Y; 
            joinSemantic = EOInnerJoin; 
            joins = (
                {destinationAttribute = idiplNumero; sourceAttribute = idiplNumero; }, 
                {destinationAttribute = fannKey; sourceAttribute = fannKey; }
            ); 
            name = toScolInscriptionSemestre; 
        }, 
        {
            destination = ScolMaquetteEc; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = mecKey; sourceAttribute = mecKey; }); 
            name = toScolMaquetteEc; 
        }
    ); 
}
